#ifndef LIBUSBEVENTHANDLER_H
#define LIBUSBEVENTHANDLER_H

#include <QThread>
#include "libusb.h"

class LIBUSBEventHandler : public QThread {
  Q_OBJECT
public:
  LIBUSBEventHandler() { this->running = false; }
  volatile bool running; // event handler running

protected:
  void run(); // run thread
};

#endif // LIBUSBEVENTHANDLER_H
